{% extends "recipes/base.html" %}
{% load static %}

{% block bodyclass %}home{% endblock %}

{% block body %}
<div class="container">
  {% if user.is_authenticated %}
  {% if profile_age > 7 %}
  <div class="alert alert-warning" role="alert">
    <svg width="24" height="24" class="warning-icon">
      <path d="M5,2H19C20.1,2 21,2.9 21,4V20C21,21.1 20.1,22 19,22H5C3.9,22 3,21.1
      3,20V4C3,2.9 3.9,2 5,2M12,4C9.79,4 8,5.79 8,8H11.26L10.85,5.23L12.9,8H16C16,5.79
      14.21,4 12,4M5,10V20H19V10H5Z" />
    </svg> Your weight data on your profile is older than a week. Please
    <a href="{% url 'edit_profile' %}" class="alert-link">update</a> them for the accurate calculations.
  </div>
  {% endif %}
  {% if profile_age == -1 %}
  <div class="alert alert-warning" role="alert">
    <svg width="24" height="24" class="warning-icon">
      <path d="M5,2H19C20.1,2 21,2.9 21,4V20C21,21.1 20.1,22 19,22H5C3.9,22 3,21.1
      3,20V4C3,2.9 3.9,2 5,2M12,4C9.79,4 8,5.79 8,8H11.26L10.85,5.23L12.9,8H16C16,5.79
      14.21,4 12,4M5,10V20H19V10H5Z" />
    </svg> Your weight data is missing. Please
    <a href="{% url 'edit_profile' %}" class="alert-link">update</a> it in your profile for the calculations.
  </div>
  {% endif %}
  {% endif %}
  {% if user.is_authenticated %}
  {% if my_recipes %}
  <section id="my_recipes" class="recipe-cards">
    <h2><i class="fa fa-book" aria-hidden="true"></i> My recipes</h2>
    <div class="row">
      {% for recipe in my_recipes %}
      <div class="col-12 col-lg-4">
        <a class="recipe-list" href="{% url 'view_recipe' id=recipe.pk %}">
          <div class="card" style="width: 18rem;">
            <div class="card-img-top" style="background-image: url({{ recipe.image.url }})"></div>
            <div class="card-body">
              <h5 class="card-title">{{ recipe.title }}</h5>
              <p class="card-text">{{ recipe.intro|truncatewords:15 }}</p>
            </div>
          </div>
        </a>
      </div>
      {% endfor %}
    </div>
  </section>
  {% endif %}
  {% if favorites %}
  <section id="collection" class="recipe-cards">
    <h2><i class="fa fa-heart" aria-hidden="true"></i> Favorites</h2>
    <div class="row">
      {% for recipe in favorites %}
      <div class="col-12 col-lg-4">
        <a class="recipe-list" href="{% url 'view_recipe' id=recipe.pk %}">
          <div class="card" style="width: 18rem;">
            <div class="card-img-top" style="background-image: url({{ recipe.image.url }})"></div>
            <div class="card-body">
              <h5 class="card-title">{{ recipe.title }}</h5>
              <p class="card-text">{{ recipe.intro|truncatewords:15 }}</p>
            </div>
          </div>
        </a>
      </div>
      {% endfor %}
    </div>
  </section>
  {% endif %}
  {% endif %}
  <section id="latest_recipes" class="recipe-cards">
    <h2><i class="fa fa-clock-o" aria-hidden="true"></i> Latest recipes</h2>
    <div class="row">
      {% for recipe in recipes %}
      <div class="col-12 col-lg-4">
        <a class="recipe-list" href="{% url 'view_recipe' id=recipe.pk %}">
          <div class="card" style="width: 18rem;">
            <div class="card-img-top" style="background-image: url({{ recipe.image.url }})"></div>
            <div class="card-body">
              <h5 class="card-title">{{ recipe.title }}</h5>
              <p class="card-text">{{ recipe.intro|truncatewords:15 }}</p>
            </div>
          </div>
        </a>
      </div>
      {% endfor %}
    </div>
  </section>
  {% if user.is_authenticated %}
  <div class="action-container">
    <a href="{% url 'edit_recipe' 0 %}" class="add-recipe-float" title="Add recipe"><i class="fa fa-plus" aria-hidden="true"></i></a>
    <a href="{% url 'edit_profile' %}" class="edit-profile-float" title="Update weight"><svg viewBox="0 0 24 24" width="30" height="30" class="warning-icon">
      <path d="M5,2H19C20.1,2 21,2.9 21,4V20C21,21.1 20.1,22 19,22H5C3.9,22 3,21.1
      3,20V4C3,2.9 3.9,2 5,2M12,4C9.79,4 8,5.79 8,8H11.26L10.85,5.23L12.9,8H16C16,5.79
      14.21,4 12,4M5,10V20H19V10H5Z" />
    </svg></a>
  </div>
  {% endif %}
</div>
{% endblock %}
